import Head from 'next/head'
import NavBar from '@/components/NavBar'
import Input from '@/components/Input'

export default function Layout({ children, category }) {
  const TITLE = 'EMOJI Searcher'
  const pageTitle = category === 'all' ? TITLE : `${TITLE} : ${category}`

  return (
    <>
      <Head>
        <title>{ pageTitle }</title>
      </Head>
      <header>
        <h1>{ TITLE }</h1>
        <NavBar category={ category } />
      </header>
      <div>
        <Input />
      </div>
      <main>
        { children }
      </main>
    </>
  );
}
