import useSWR from 'swr'
import Layout from '@/components/Layout'
import Card from '@/components/Card'

const fetcher = url => fetch(url).then(r => r.json())

export default function Home() {
  const { data, error, isLoading } = useSWR('/api/all', fetcher, {
    fallbackData: []
  })

  return (
    <Layout category="all">
      {
        data.map(item => <Card item={item} key={`${item.htmlCode.join('')}`}/>)
      }
    </Layout>
  )
}
