import useSWR from 'swr'
import { useSharedState } from '@/stores/state'
import { computeFilteredData } from '@/utils/function'
import Layout from '@/components/Layout'
import Card from '@/components/Card'

const fetcher = url => fetch(url).then(r => r.json())

export default function Home() {
  const [ searchText ] = useSharedState('searchText', '')
  const { data, error, isLoading } = useSWR('/api/all', fetcher, {
    fallbackData: []
  })

  const filteredData = computeFilteredData(data, 'all', searchText)

  return (
    <Layout category="all">
      {
        filteredData.map(item => <Card item={item} key={`${item.htmlCode.join('')}`}/>)
      }
    </Layout>
  )
}
