import { useListEmoji, useSharedState } from '@/stores/state'
import { computeFilteredData } from '@/utils/function'
import Layout from '@/components/Layout'
import Card from '@/components/Card'

export default function Home() {
  const [ searchText ] = useSharedState('searchText', '')
  const { data } = useListEmoji()

  const filteredData = computeFilteredData(data, 'all', searchText)

  return (
    <Layout category="all">
      {
        filteredData.map(item => <Card item={item} key={`${item.htmlCode.join('')}`}/>)
      }
    </Layout>
  )
}
